apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: raw-resources-infra
  namespace: argocd
spec:
  project: infra
  source:
    repoURL: ssh://git@gitea-ssh.dev-tools.svc.cluster.local:2222/dvirlabs/infra.git
    targetRevision: master
    path: manifests/raw-resources-infra
    directory:
      recurse: true
  destination:
    server: https://kubernetes.default.svc
    namespace: infra
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
